View Issue Details

IDProjectCategoryLast Update
0019335AI War 2[All Projects] Gameplay IssueMar 9, 2018 10:46 am
ReporterRabidSanityAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.613 
Fixed in Version0.711 
Summary0019335: Devourer Golem devours the Zenith Trader
DescriptionI started a game with the devourer golem and Zenith trader which spawned near each other. The trader went to the same planet as the devourer and essentially followed the devourer while being eaten. If trader is targetable by the devourer it should at least try to avoid being eaten by it. Otherwise these two factions should not be hostile to each other.
TagsNo tags attached.

Activities

BadgerBadger

Jan 14, 2018 1:54 pm

manager   ~0046671

It might be more fun if the Zenith Trader would respawn some time after being killed.

RabidSanity

Jan 15, 2018 7:17 pm

reporter   ~0046683

That would be ok with me. Although I would prefer to avoid a situation where the Zenith Trader gets knocked out right away at the start of a game.

Dune

Jan 25, 2018 11:02 am

administrator   ~0046710

Good points.

BadgerBadger

Mar 9, 2018 10:21 am

manager   ~0047114

I've added some code to allow the Zenith Trader to respawn after some time if it was killed. This should alleviate the problem to my mind. Having the Zenith Trader die sometimes isn't really an issue as long as it comes back.

x4000Bughunter

Mar 9, 2018 10:46 am

administrator   ~0047115

I agree, I like those interactions so long as it comes back.

Issue History

Date Modified Username Field Change
Jan 12, 2018 5:25 pm RabidSanity New Issue
Jan 14, 2018 1:54 pm BadgerBadger Note Added: 0046671
Jan 15, 2018 7:17 pm RabidSanity Note Added: 0046683
Jan 25, 2018 11:02 am Dune Assigned To => x4000Bughunter
Jan 25, 2018 11:02 am Dune Status new => considering
Jan 25, 2018 11:02 am Dune Note Added: 0046710
Mar 9, 2018 10:21 am BadgerBadger Note Added: 0047114
Mar 9, 2018 10:46 am x4000Bughunter Assigned To x4000Bughunter => BadgerBadger
Mar 9, 2018 10:46 am x4000Bughunter Status considering => resolved
Mar 9, 2018 10:46 am x4000Bughunter Resolution open => fixed
Mar 9, 2018 10:46 am x4000Bughunter Fixed in Version => 0.711
Mar 9, 2018 10:46 am x4000Bughunter Note Added: 0047115